{% extends 'base.html' %}
      {% block meta_tags %}<title>Login - Components</title>
        <meta name="description" content="Login page in components site.">{% endblock %}
{% load static %}
{% block content %}
        <div class="sub-container">
          <div class="col-md-8 col-sm-8 col-xs-12 col-lg-4">
          {% if messages %}
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                  <div class="text-center">
                    <ul class="list-inline">
                      {% for message in messages %}
                        <li class="list-inline-item {{ message_tags}}"> {{ message }}</li>
                      {% endfor %}
                    </ul>
                  </div>
              </div>
            </div>
          {% endif %}
          <div class = "card border-dark mb-3">
            <!--<div class = "card-header text-white bg-secondary">
              <h2 class = "text-center">Login</h2>
            </div>
            -->
            <div class = "card-body">
              <div class="text-center mb-4">
                {% if form.username %}
                  {% with name="Login" %}
                    <h2 class="card-title">{{name}}</h2>
                  {% endwith %}
                {% else %}
                    {% with name="Two-Factor Authentication" %}
                      <h2 class="card-title">{{name}}</h2>
                    {% endwith %}
                {% endif %}
              </div>
              <div class="ajax-success-reponse"></div>
                {% if form.otp_token.errors and not first_load%}
                  <div class="alert alert-danger">
                      <a class="close" href="#" data-dismiss="alert">×</a>
                      {{ form.otp_token.errors }}
                  </div>
                {% endif %}
                 {% for error in form.non_field_errors %}
                  <div class="alert alert-danger">
                      <a class="close" href="#" data-dismiss="alert">×</a>
                      {{ error }}
                  </div>
                {% endfor %}
                <form method="post" id="authentication-form">
                {% if form.username %}
                  <div class="form-group">
                    <!-- <label for="{{ form.username.id_for_label }}">{{ form.username.label_tag }}</label> -->
                    <input type="text" name="{{ form.username.html_name}}" id="{{ form.username.id_for_label}}" value="{{ form.data.username}}" class="form-control form-control-md" autofocus="autofocus" autocomplete=
                    "off" placeholder="Username or Email address" required />
                  </div>
                  <div class="form-group">
                    <!-- <label for="{{ form.Password.id_for_label }}">{{ form.password.label_tag }}</label> -->
                    <input type="password" name="{{ form.password.html_name}}" id="{{ form.password.id_for_label}}"  value="" class="form-control form-control-md" placeholder="Password" autocomplete="off" required />
                  <div class="text-right">
                   <a class="" href="{% url 'account:forgot-password' %}">Forgot Password?</a>
                  </div>
                  <div class="form-group">
                    <div class="form-check">
                      {{ form.remember_me }} 
                    <label for ="{{ form.remember_me.id_for_label}}" class="form-check-label" >{{ form.remember_me.label}}</label>
                    </div>
                  </div>
                  </div>
                  {% else %}
                   <div class="form-group">
                    <label for="{{ form.otp_token.id_for_label}}">Enter the 6-digit code that you see in the app
                    </label>
                    <input type="text" name="{{ form.otp_token.html_name}}" id="{{ form.otp_token.id_for_label}}"  maxlength=6 value="" class="form-control form-control-md" autofocus="autofocus" autocomplete="off" required />
                    <p class="form-text text-muted hint">
                      Enter the code from the two-factor app on your mobile device. If you've lost your device, you may enter one of your recovery codes.
                    </p>
                    </div>
                  {% endif %}
                  {% if form.username %}
                    {% with button_name="Login" %}
                      <button type="submit" class="btn btn-primary btn-md btn-block">{{ button_name }}</button>
                    {% endwith %}
                  {% else %}
                    {% with button_name="Verify" %}
                      <button type="submit" class="btn btn-primary btn-md btn-block">{{ button_name }}</button>
                    {% endwith %}
                  <div class="pt-4 text-center">
                    <a href="#" class="lost-device" data-toggle="modal" data-target="#tryAnotherModalCenter" data-backdrop="static" data-keyboard="false">Try another way to sign in</a>
                  </div>
                  {% endif %}
                  <input type="hidden" name="next" value="{% url 'account:profile' %}">
                  {% csrf_token %}
                </form>
                {% if  form.otp_token  and chosen_option_value %}
                  <!-- Modal -->
                  <div class="modal fade" id="tryAnotherModalCenter" tabindex="-1" role="dialog" aria-labelledby="tryAnotherModalCenterTitle"
                    aria-hidden="false">

                    <!-- Add .modal-dialog-centered to .modal-dialog to vertically center the modal -->
                    <div class="modal-dialog modal-dialog-centered" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="tryAnotherModalCenterLongTitle">Try another way to sign in</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          <form method="POST" id="try_another_way_form" action="{% url 'account:lost_device' %}">
                            {% csrf_token %}
                            <div class="row pb-2">
                              <div class="ajax-error-reponse col-12"></div>
                              <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
                                <p></p>
                                <p class="text-center"><i class="fa fa-mobile fa-4x"></i></p>
                              </div>
                              <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
                                <p>Verifcation code will be send to below {{ chosen_option_text}}, please confirm.</p>
                                <h2><span class="badge">{{ chosen_option_value }}</span></h2>
                              </div>
                            </div>
                            <hr>
                            <button type="submit" class="btn btn-outline-primary pull-right">Confirm</button>
                          </form>
                          <!--
                            <div class="chosen_two_factor_recovery_option">
                              <div class="try-another-way">
                                <button type="button" class="btn btn btn-outline-primary w-100 p-3 mb-2 mt-2 text-center get-code-by" data-request="{% url 'account:lost_device' %}" data-chosen-option="{{ chosen_option }}">
                                  {{ button_text }} -  {{ chosen_option }}
                                </button>
                              </div>
                            </div>
                          -->
                        </div>
                      </div>
                    </div>
                  </div>
                {% endif %}
                {% if form.username %}
                <div class="text-center mb-3 mt-3">--OR--</div>
                <div class="text-center">
                  <a class="" href="{% url 'account:sign-up' %}">Create an account</a>
                </div>
                {% endif %}
              </div>
            </div>
          </div>
        </div>
  <script type="text/javascript" src="{% static 'accounts/js/accounts.js' %}"></script>
  {% endblock %}